Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 00:42
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 4.x
Puppy 4.2 RC1 Deep Thought - Bugs & Fixes
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 28 [419 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 26, 27, 28 Next
Author Message
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Thu 26 Feb 2009, 13:20    Post subject: RC1  

Boot screen still shows BETA.

Printing works on USB on HP zv6100.

On tower where printing worked under 3.x and 4.1x, will not print on LPT "Unable to open device file ldevlp0 : Permission Denied".
Was able to print using USB.
Back to top
View user's profile Send private message 
Greatnessguru


Joined: 09 Jul 2007
Posts: 104
Location: rural McBain MI USA (near Cadillac MI)

PostPosted: Thu 26 Feb 2009, 13:32    Post subject: Not fixed: Ghostscript: ESP 8.15.2  

ttuuxxx wrote:
Greatnessguru wrote:
WhoDo wrote:
@ttuuxxx - ...
1. You had me include Ghostcript-8.63-1.pet
when Ghostscript-8.64.pet is available. ...

I burnt & booted Puppy 4.2.Beta.2, pfix=ram

In terminal:
# gs --help
ESP Ghostscript 8.15.2 (2006-04-19)
...
###

I sure hope this all gets sorted out before long.
...


yes I noticed that to, straight away actually, once the printing did work, I went straight to usr/libs and had a look around. thanks for reminding me Smile
ttuuxxx


RC1 here still shows the very same behavior, ESP ... 8.15.2.

Was this double-checked for before
putting the RC1 ISO file on the servers?
I suspect not ...

This Puppy observation brought to you by:
Puppy Linux 4.2.RC.1 on my 64 MB(!) Gateway 2000,
"puppy pfix=ram", 200+ MB Linux swap.

Thanks,
Eddie Maddox
Inwood IA USA
Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 26 Feb 2009, 13:56    Post subject: Re: Not fixed: Ghostscript: ESP 8.15.2  

Greatnessguru wrote:


RC1 here still shows the very same behavior, ESP ... 8.15.2.

Was this double-checked for before
putting the RC1 ISO file on the servers?
I suspect not ...

This Puppy observation brought to you by:
Puppy Linux 4.2.RC.1 on my 64 MB(!) Gateway 2000,
"puppy pfix=ram", 200+ MB Linux swap.

Thanks,
Eddie Maddox
Inwood IA USA[/quote]

Thanks maddox but I remembered after that, When I was compiling Ghostscript it produces a very large bin over 11MB stripped, On previous older ghostscripts like the one in puppy 3 and 4.0-4.12 you can reduce the bin file by making it a .so file but with the newer one it has a documented problem with out glibc and produces a error and just doesn't work right, So either we use the older ghostscript sources/package or what I did was reuse the older bin+lib .so file which saved us around 5MB and used it in the latest version. Smile
But since then I recompiled it on 4.2 beta 2 and managed to get the bin split into a bin+.so but when I went to strip it, it didn't reduce in size.
libgs.so.8.64 <---11MB stripped or not
libgs.so.8.15 <---3.9MB (older version)
So the Ghostscript pacakge is 96% new and 4%old but that wouldn't count for a permissions problem.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
zygo

Joined: 08 Apr 2006
Posts: 211
Location: UK

PostPosted: Thu 26 Feb 2009, 14:05    Post subject:  

Does this use Xorg 7.4? Is there a devx for this Puppy?
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Thu 26 Feb 2009, 14:14    Post subject:  

Thank you development team, 4.2 is going to be the best release ever.

Some minor issues:

1. Trash icon located about mid screen.
2. Pwidgets 1.7-1 has introduced some problems that were not present with 1.6 in the last 4.2 beta ie. weather widgets don't work, also after adding rss feeds, slideshow, & todays date, widgets will not respond to any changes. Additional clock skins are also missing. I'll post details to pwidgits thread. EDIT: Switched to icewm and weather widget does work and am able to change widgets again.
3. Printing works, somewhat, CUPS recognized my HP5280 printer and did provide a driver selection that allows me to print a test page. However, when I tried to update the printer drivers with later hpijs .pets, CUPS would lock up after selecting modify printer.

Other than above this release works great on my Dell Dimension 8250.

Thanks,
Jim
Back to top
View user's profile Send private message 
tronkel


Joined: 30 Sep 2005
Posts: 1101
Location: Vienna Austria

PostPosted: Thu 26 Feb 2009, 14:22    Post subject:  

ttuuxxx wrote:

Quote:
after you setup the printer did you go back to Printers, click on administration and selected 'set a server default' ?


Yes tried that but still no joy. Even tried the hpijs pet package for the driver, but that is even worse. CUPS then throws a backend exception error.

Other thoughts:

What about trying to include support for ATI and NVIDIA video cards etc? Maybe the libraries would be a bit on the big side though. The fglrx driver seems to work in other puplets (sometimes!).

Claws can be problematical to compile with all the plugins (e.g. gpg support)

Seamonkey Mail is simply easier and also works with Enigmail for gpg.

Or .... Change to Firefox and use the Simple Mail extension. Firepup?

_________________
Life is too short to spend it in front of a computer
Back to top
View user's profile Send private message Visit poster's website AIM Address 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 26 Feb 2009, 14:29    Post subject:  

tronkel wrote:
ttuuxxx wrote:

Quote:
after you setup the printer did you go back to Printers, click on administration and selected 'set a server default' ?


Yes tried that but still no joy. Even tried the hpijs pet package for the driver, but that is even worse. CUPS then throws a backend exception error.

Other thoughts:

What about trying to include support for ATI and NVIDIA video cards etc? Maybe the libraries would be a bit on the big side though. The fglrx driver seems to work in other puplets (sometimes!).

Claws can be problematical to compile with all the plugins (e.g. gpg support)

Seamonkey Mail is simply easier and also works with Enigmail for gpg.

Or .... Change to Firefox and use the Simple Mail extension. Firepup?

I can recompile claws mail later on today, We are currently over our 100MB limit by a hair, and can't afford the extra 2MB+ from seamonkey mail, or ati/nvidia would be too large also, but the repo could host these files and could be downloaded/installed via petget package manager.
hpijs I'll check, but I think that could be a compiling option in one of the packages, if so that could be the problem.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
tasmod


Joined: 04 Dec 2008
Posts: 1461
Location: North Lincolnshire. UK

PostPosted: Thu 26 Feb 2009, 15:11    Post subject:  

There seems to be a permissions problem with WorldTime in Pwidgets.

Make sure it's not in active list and all should be OK.

On my machine if I create it anew in Geany all is well.

Nothing has been altered in the original file.
Back to top
View user's profile Send private message Visit poster's website 
tronkel


Joined: 30 Sep 2005
Posts: 1101
Location: Vienna Austria

PostPosted: Thu 26 Feb 2009, 15:18    Post subject:  

@ttuuxxx

OK, ati and nvidia stuff could just be an optional pet package.

How about trying the Ubuntu or Debian CUPS package and convert it to a dotpet. My system prints fine with either Debian or Ubuntu.

Or maybe as you say, there is something wrong with the hpijs stuff.

_________________
Life is too short to spend it in front of a computer
Back to top
View user's profile Send private message Visit poster's website AIM Address 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 26 Feb 2009, 15:44    Post subject:  

tronkel wrote:
@ttuuxxx

OK, ati and nvidia stuff could just be an optional pet package.

How about trying the Ubuntu or Debian CUPS package and convert it to a dotpet. My system prints fine with either Debian or Ubuntu.

Or maybe as you say, there is something wrong with the hpijs stuff.


I'm compiling the hpijs package right now and I'll upload it, maybe you can try it and se if that works? I don't have a hpijs printer, only a Canaon pixma printer that works perfect with this cups set, as for the the ubuntu/Debian package, are you saying you converted the ubuntu/debian package to a pet and it worked on puppy 4.0+ series without extras like dbus, etc just the regular main programs, gutenprint, foomatic filters etx and is 1.4 Cups or 1.3 Cups?
Thanks for your help tronkel
ttxuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 26 Feb 2009, 16:05    Post subject:  

Tronkel could you please try this package first it doesn't contain the ppd's but that should be ok.
http://www.puppylinux.asia/tpp/ttuuxxx/puppy420/repo/hplip-2.8.12-No-ppd.pet
And if that one doesn't work then the full package is located here with all the ppd's
http://www.puppylinux.asia/tpp/ttuuxxx/puppy420/repo/hplip-2.8.12-i386.pet
I had to disable fax, due to the fact it needed dbus and I wasn't going to start messing with dbus again.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 26 Feb 2009, 16:45    Post subject:  

One of the background wallpapers (Aurora-Australis) has sneaked in as 189k - formaly it was around 40 k as Ttuuxxx mentions in the next post There is also a sad looking dog of 40k that has been around for a long time. Do we need it? If required we could add 30 64x44 images that would offer more diversity . . .

189k? Rolling Eyes

I enclose 3 plasma images I created without too much effort
that are not even 4k combined Smile
plasma.tar.gz
Description 
gz

 Download 
Filename  plasma.tar.gz 
Filesize  2.41 KB 
Downloaded  928 Time(s) 

_________________
Puppy WIKI

Last edited by Lobster on Thu 26 Feb 2009, 17:14; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 26 Feb 2009, 16:54    Post subject:  

Lobster wrote:
One of the background wallpapers (Aurora-Australis) has sneaked in as 189k

189k? Rolling Eyes

I enclose 3 I created
that are not even 4k combined Smile

But if you compress it a bit, it can be knok down to 40kb, anymore and you start to loose some detail and it gets blury
ttuuxxx
Aurora-Australis.jpg
Description 
jpg

 Download 
Filename  Aurora-Australis.jpg 
Filesize  39.33 KB 
Downloaded  928 Time(s) 

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Greatnessguru


Joined: 09 Jul 2007
Posts: 104
Location: rural McBain MI USA (near Cadillac MI)

PostPosted: Thu 26 Feb 2009, 16:57    Post subject: Re: Not fixed: Ghostscript: ESP 8.15.2  

ttuuxxx wrote:
Greatnessguru wrote:
RC1 here still shows the very same behavior, ESP ... 8.15.2.

Thanks maddox but I remembered after that,
When I was compiling Ghostscript it produces
a very large bin over 11MB stripped,

On previous older ghostscripts like the one in
puppy 3 and 4.0-4.12 you can reduce the bin file by
making it a .so file but with the newer one it has a
documented problem with out glibc and produces a
error and just doesn't work right,

So either we use the older ghostscript sources/package or
what I did was reuse the older bin+lib .so file which
saved us around 5MB and used it in the latest version. Smile

But since then I recompiled it on 4.2 beta 2 and managed to
get the bin split into a bin+.so but when I went to strip it,
it didn't reduce in size.
libgs.so.8.64 <---11MB stripped or not
libgs.so.8.15 <---3.9MB (older version)
So the Ghostscript pacakge is 96% new and 4%old but that
wouldn't count for a permissions problem.
ttuuxxx


"what I did was reuse the older bin+lib .so file"
means we still have ESP Ghostscript 8.15.2, but,
with a "GPL Ghostscript 8.64" shiny sticker on it?

And, since GPL Ghostscript 8.63:
"Behdad Esfahbod has contributed a
cairo output device which uses the
cairo graphics library to generate
PDF, SVG, EPS, or PNG files, based on
the requested filename extension.
The svgwrite device directly outputs
Scalable Vector Graphics, the W3C XML
vector graphics format.",
but,
I find no "svgwrite device" listed in:
# gs --help
since we don't Really have 8.64, but 8.15...?

I also noticed some "Available devices" are
listed twice: "png16 png16", etc.

Thank you,
Eddie Maddox
Inwood IA USA
Back to top
View user's profile Send private message Visit poster's website 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Thu 26 Feb 2009, 17:05    Post subject:  

ttuuxxx.

Thanks for the new hpijs-2.8.12 pets, however, they don't work.

Everything seems fine to modify the printer setting until the screen after you enter the password. It finds the printer and shows "modify HP-Photosmart_C5200_series", however it hangs on that page with the pointer showing the little rotating circle that indicates that it is trying to find the next page.

Sorry,
Jim
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 28 [419 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 26, 27, 28 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 4.x
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 2.4497s ][ Queries: 12 (2.3462s) ][ GZIP on ]